Related: Trouble Shooting

Check installed maven version

mvn -version

If your installed maven version is older than 3.5.3 then it might not support maven tiles. If that is the case upgrade maven or use the maven plugin directly rather than the tile.

 

Add maven tile

Add the maven tile into the build / plugins section of the pom.xml

<plugin>
  <groupId>io.repaint.maven</groupId>
  <artifactId>tiles-maven-plugin</artifactId>
  <version>2.11</version>
  <extensions>true</extensions>
  <configuration>
    <tiles>
      <!-- other tiles ... -->
      <tile>io.ebean.tile:enhancement:5.6</tile>
    </tiles>
  </configuration>
</plugin>
Maven enhancement tile

The maven tile above will enhance the code at build time for both src/main and src/test. This is simpler than defining the plugin in the traditional (non-tile) fashion and is the preferred approach.

If you want to specify the maven enhancement plugin in 'normal' non-tile fashion see maven plugin.

Edit Page